HomeGuidesReference↗ Forage Dashboard
Log In
Reference

Retrieve a PaymentMethod

A GET request to /payment_methods/{payment_method_ref}/ retrieves the specified PaymentMethod object.

You can use this endpoint to, for example:

  • Retrieve the balance of an EBT Card after a customer completes a Custom Balance Check Session
  • Retrieve information about a reusable payment method to display in a digital wallet
Path Params
string
required

A unique reference hash for the Forage PaymentMethod, returned when the PaymentMethod was created.

Headers
string
required

An OAuth 2.0 bearer token that validates the request. You can use either a short-lived session token if the request is coming from the front-end, or an authentication token for server-side requests. Pass the token in this header after the word Bearer and a whitespace, for example Bearer <api_key>.

string
required

A unique merchant ID that Forage provides during onboarding, as in 123ab45c67. The Merchant ID can be found in the Forage sandbox or production dashboard.

Pass a Merchant-Account header to create a PaymentMethod associated with a specific merchant account for routing and reporting purposes. This header does not restrict PaymentMethods to a single merchant account. PaymentMethods are tenant-scoped and can be used across all merchant accounts within the same tenant.

string

The Forage version, represented as a string with the format of a YYYY-MM-DD date.

If not specified in the request header, then the version defaults to the value set in the Forage dashboard.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Choose an example:
application/json